.checkbox {
    position: relative;

    .checkout__input {
        position: absolute;
        opacity: 0;
        width: 100%;
        top: 0;
        left: 0;
        height: 100%;
        z-index: 1;
        cursor: pointer;

        &:checked {
            ~ .checkout__label {
                .box {
                    background-color: $main-8;
                }
            }
        }
    }

    .checkout__label {
        display: flex;
        align-items: center;
        grid-gap: 10px;
        transition: 0.3s ease;
        @include f14w400M8;

        .box {
            display: block;
            position: relative;
            width: 20px;
            height: 20px;
            background-color: $main-0;
            border: 1px solid $main-8;
            border-radius: 4px;

            &::after {
                position: absolute;
                content: '';
                width: 10px;
                left: 35%;
                border-radius: 4px;
                top: 41%;
                transform: rotate(-45deg);
                height: 1.5px;
                background-color: #fff;
            }

            &::before {
                position: absolute;
                content: '';
                width: 5px;
                left: 23%;
                border-radius: 4px;
                top: 53%;
                transform: rotate(-138deg);
                height: 1.5px;
                background-color: #fff;
            }

        }

        .personal__data {
            border-bottom: 1px dashed $main-8;
        }
    }
}

